#!/usr/bin/env ysh

source --builtin list.ysh # sum()

const INPUT = $1

proc main {
  var components = []
  while read -r line {
    var matches = @(grep -o '[[:digit:]]' <<< ${line})
    call components->append(matches[0] ++ matches[-1])
  } < ${INPUT}
  echo $[sum(components)]
}

main
