#!/usr/bin/env ysh

const INPUT = $1

proc main {
  var powers = 0
  while read -r game {
    var colors = {'red': 0, 'green': 0, 'blue': 0}
    var sets = game=>split(':')[1]
    setvar sets = sets=>split(';')
    for i in (0 .. len(sets)) {
      for color in (colors->keys()) {
        var pair = $(grep -o "[0-9]* ${color}" <<< $[sets[i]] || true)
        if (len(pair) !== 0) {
          var count = int(pair=>split()[0])
          if (count > colors[color]) {
            setvar colors[color] = count
          }
        }
      }
    }
    setvar powers += colors['red'] * colors['green'] * colors['blue']
  } < ${INPUT}
  echo ${powers}
}

main
